using System;
using System.Text;

namespace JEBKeyMaker
{
    class Program
    {
        

        static void Main(string[] args)
        {
            string biosNumber = MachineInfo.GetBIOSNumber();
            long machineId = MachineInfo.GetMachineId(biosNumber);

            DateTime utcBegin = new DateTime(1970, 1, 1, 0, 0, 0, DateTimeKind.Utc);
            DateTime utcEnd = DateTime.Now.AddYears(3).AddDays(-13).ToUniversalTime();
            TimeSpan ts = utcEnd.Subtract(utcBegin);
            int dt = (int)(ts.TotalMilliseconds / 1000);

            KeyMaker va = new KeyMaker(machineId);
            string key = va.getValidKey(dt);

		Console.WriteLine(key);
        }
    }
}
